diff --git a/dlls/winemac.drv/macdrv.h b/dlls/winemac.drv/macdrv.h
index c086a47efc3..a2363a86ce5 100644
--- a/dlls/winemac.drv/macdrv.h
+++ b/dlls/winemac.drv/macdrv.h
@@ -193,8 +193,8 @@ extern BOOL macdrv_SystemParametersInfo(UINT action, UINT int_param, void *ptr_p
     unsigned int        swap_interval : 1;      /* GL swap interval for window */
 };
 
-extern struct macdrv_win_data *get_win_data(HWND hwnd);
-extern void release_win_data(struct macdrv_win_data *data);
+extern struct macdrv_win_data *get_win_data(HWND hwnd) __attribute__((visibility("default")));
+extern void release_win_data(struct macdrv_win_data *data) __attribute__((visibility("default")));
 extern void init_win_context(void);
 extern macdrv_window macdrv_get_cocoa_window(HWND hwnd, BOOL require_on_screen);
 extern RGNDATA *get_region_data(HRGN hrgn, HDC hdc_lptodp);
@@ -202,6 +202,9 @@ extern BOOL macdrv_SystemParametersInfo(UINT action, UINT int_param, void *ptr_p
 
 extern void macdrv_handle_event(const macdrv_event *event);
 
+extern macdrv_view macdrv_get_cocoa_view(HWND hwnd) __attribute__((visibility("default")));
+extern macdrv_view macdrv_get_client_cocoa_view(HWND hwnd) __attribute__((visibility("default")));
+
 extern void macdrv_window_close_requested(HWND hwnd);
 extern void macdrv_window_frame_changed(HWND hwnd, const macdrv_event *event);
 extern void macdrv_window_got_focus(HWND hwnd, const macdrv_event *event);
diff --git a/dlls/winemac.drv/macdrv_cocoa.h b/dlls/winemac.drv/macdrv_cocoa.h
index 20d82b9bef8..44614ae3e8a 100644
--- a/dlls/winemac.drv/macdrv_cocoa.h
+++ b/dlls/winemac.drv/macdrv_cocoa.h
@@ -560,11 +560,11 @@ extern void macdrv_order_cocoa_window(macdrv_window w, macdrv_window prev,
 extern void macdrv_set_view_hidden(macdrv_view v, int hidden);
 extern void macdrv_add_view_opengl_context(macdrv_view v, macdrv_opengl_context c);
 extern void macdrv_remove_view_opengl_context(macdrv_view v, macdrv_opengl_context c);
-extern macdrv_metal_device macdrv_create_metal_device(void);
-extern void macdrv_release_metal_device(macdrv_metal_device d);
-extern macdrv_metal_view macdrv_view_create_metal_view(macdrv_view v, macdrv_metal_device d);
-extern macdrv_metal_layer macdrv_view_get_metal_layer(macdrv_metal_view v);
-extern void macdrv_view_release_metal_view(macdrv_metal_view v);
+extern macdrv_metal_device macdrv_create_metal_device(void) __attribute__((visibility("default")));
+extern void macdrv_release_metal_device(macdrv_metal_device d) __attribute__((visibility("default")));
+extern macdrv_metal_view macdrv_view_create_metal_view(macdrv_view v, macdrv_metal_device d) __attribute__((visibility("default")));
+extern macdrv_metal_layer macdrv_view_get_metal_layer(macdrv_metal_view v) __attribute__((visibility("default")));
+extern void macdrv_view_release_metal_view(macdrv_metal_view v) __attribute__((visibility("default")));
 extern int macdrv_get_view_backing_size(macdrv_view v, int backing_size[2]);
 extern void macdrv_set_view_backing_size(macdrv_view v, const int backing_size[2]);
 extern uint32_t macdrv_window_background_color(void);
